import os


class Config:
    LISTEN_ADDRESS = os.getenv("LISTEN_ADDRESS", "0.0.0.0")
    LISTEN_PORT = int(os.getenv("LISTEN_PORT", "8080"))
    SQLALCHEMY_DATABASE_URI = os.getenv("SQLALCHEMY_DATABASE_URI", "sqlite:///./mpv.db")
    MPV_SOCKET = os.getenv("MPV_SOCKET", "/tmp/mpvsocket")
    LOGLEVEL = os.getenv("LOGLEVEL", "INFO").strip().upper()
